<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myLeasingCompanyLabel" jhiTranslate="mpmApp.leasingCompany.home.createOrEditLabel">Create or edit a Leasing Company</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <div class="form-group" [hidden]="!leasingCompany.idLeasingCompany">
            <label for="id">ID leasing Company</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="leasingCompany.idLeasingCompany" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_idLeasingFinCoy">Id Leasing Financial Company</label>
            <input type="text" class="form-control" name="idLeasingFincOy" id="field_idLeasingFinCoy"
                [(ngModel)]="leasingCompany.idLeasingFinCoy" />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_idLeasingAhm">Id Leasing AHM</label>
            <input type="text" class="form-control" name="idLeasingAhm" id="field_idLeasingAhm"
                [(ngModel)]="leasingCompany.idLeasingAhm" />
        </div>
        <jhi-organization-view-net [organization]="leasingCompany.organization"></jhi-organization-view-net>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
